# $Id: mklivecd.spec.in,v 1.12 2003/10/04 10:03:28 jaco Exp $

%define name		mklivecd
%define version		0.5.6
%define release		1mdk

%define summary		Builds a LiveCD from an existing Mandrake Linux installation

Summary:		%{summary}
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			System/Configuration/Boot and Init
URL:			http://www.linuxminicd.org/mklivecd/
Source0:		%{name}-0.5.6.tar.bz2
Requires:		busybox, cloop-utils, mkisofs
BuildRoot:		%{_tmppath}/%{name}-root
Buildarch:		noarch

%description
%{summary}

%prep
%setup -q %{name}-0.5.6

%build
%make

%install
rm -rf %buildroot
%makeinstall DESTDIR=%buildroot

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CHANGELOG FAQ README TODO
%{_sbindir}/mklivecd
%{_sbindir}/hwdetect
%{_datadir}/mklivecd/linuxrc

%changelog
* Mon Oct  6 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.6-1mdk
- version 0.5.6
- spec fixes by Buchan Milne <bgmilne@cae.co.za>

* Sat Sep 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.5-2mdk
- rebuild

* Thu Sep 25 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.5-1mdk
- version 0.5.5

* Wed Sep 24 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.4-2mdk
- spec fixes

* Tue Sep 23 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.4-1mdk
- version 0.5.4
- removed patch0, fixed upstream

* Mon Sep 22 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.3-1mdk
- initial import into contrib, based on spec file from Jaco Greeff
- fixed requires (mkisofs)
- temporary locale fix to correct calculate initrd size
- correct mdk group name
- some macroszification
